<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

$id_str=$_GET[id_str];
$id_par=$_REQUEST[id_par];
$id_file=$_REQUEST[id_file];


$error='';
$uspjeh='';


$sql99 = "select naslov from b7_paragraf_upload where id='$id_file'";

$rez99=mysql_query($sql99,$conn);
if ($rez99) {
	$row99=mysql_fetch_array($rez99);
	$naslov=$row99[0];
	
	
	//obrisi slike sa harda
	@unlink($parametar_upload_direktorij . $naslov);
}

$sql="delete from b7_paragraf_upload where id='$id_file'";
$result=mysql_query($sql,$conn);
if (!$result) {
	$error.='File "'.$naslov.'" nije obrisan iz baze!'.mysql_error().'<br />';
} else {
	$uspjeh.='File "'.$naslov.'"  je obrisan iz baze!<br />';
	
	//zapis teksta
	include ("func/uredi_tekst_upload.php");
	$q_tekst=uredi_tekst_upload($id_par, "upload/paragraf/", $parametar_domena, $conn); 

	//spremi tekst u bazu
	//pripremi za unos u bazu
	$q_tekst_mysql=mysql_real_escape_string($q_tekst);

	$result = mysql_query("update b7_paragraf_tekst set		
						tekst='$q_tekst_mysql',
						user='$log_username',
						datum=now() 
						where id_paragraf='$id_par'");
	
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: <br />'.mysql_error().'<br />';
	}
	
	//ucitaj ime fajla
	$sql98="SELECT fajl FROM b7_paragraf WHERE id_paragraf='$id_par'";	
	$rez98=mysql_query($sql98,$conn);
	$row98=mysql_fetch_array($rez98);
	$new_fajl=$row98['fajl'];
	
	//spremi tekst u fajl
	$file2open = $parametar_tekst_direktorij . $new_fajl;
	if (!$listfile = fopen($file2open, 'w'))
	{
		$error.= 'dogodila se gre&#353;ka prilikom kreacije fajla.<br />';
	} else
	{
		fwrite($listfile, $q_tekst);
		if (!fclose($listfile))
		{
			$error.= 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.<br />';
		}
	}
	
	
}


if ($error) echo '<div class="greska">'.$error.'</div>'."\n";
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>'."\n";
?>
